Minerva API
API referenceExtractions

Delete a project

DELETE/extractions/{id}

Permanently deletes the project and cascades to its associations. There is no deactivate option here — to deactivate, use PATCH with { "isActive": false }.

Requires an API key with one of these roles: admin.

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created in Settings → API Keys.

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/extractions/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty